# Payout receipts

Payments created via a payment request from the affiliate or via automatic payment generation can be automatically accompanied by a PDF payment receipt. This receipt includes all provisions/commissions generated since the last payment document was created and can be automatically sent to the affiliate by email.

{% hint style="danger" %}
Older transactions recorded prior to update 5.1.0 may be listed on documents, even though they may not be desired there. Recommendation immediately after update:

`UPDATE ca_transaction SET document_noted = 1 WHERE status = 'completed'`&#x20;

The reason for this is that only since version 5.1.0 has it been possible to record whether or not a provision is included on a payment document. Therefore, the old transactions may need to be adjusted accordingly on a one-time basis.
{% endhint %}

#### Generate payout receipts

This configuration activates the automatic generation of a payout receipt when an affiliate creates a payout via the affiliate area, when a store administrator creates a payout in the affiliate detail view, or when an automatic payout is made.

#### Prefix in the file name

Defines which character string should be placed before the file name of the payment document. The file name consists of the prefix, followed by a hyphen and a number range value, which automatically increases when a payment document is generated.

#### Header logo (JPG recommended!)

Specifies the logo that will be displayed in the document header. We recommend JPG files, as other file types may increase loading times.

#### Address of the online shop

The address of the online store defined here will be displayed as the sender at the top of the payout document.

#### Show value added tax

With this configuration, value added tax is also displayed on the document. However, this does not change the values and displays on other pages or in the SEPA XML file.

#### Note below the transaction list

Here you can define a text snippet that will be displayed below the transaction list in the document.

The name of the snippet is: `cogi-affiliate.payoutReceipt.hint`

#### Contents at the end of the document

This allows you to define a free text that should be displayed at the end of the payout document.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.codegiganten.de/plugin-documentation/en/apps/affiliate-marketing/configuration/payout-receipts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
